Page MenuHomePhabricator

Remove the lazy load references beta feature
Closed, ResolvedPublic

Description

The lazy load references feature was added alongside the lazy image in August 2016. Since then it has sat in beta for a period of 3 years without any work.

The main blockers for promoting it were around the slowness of the references API that we created.

Reasons to remove it:

  • 3 years and no activity
  • It uses the mobile view API which we'd like to deprecate
  • It's buggy and significant work is needed to complete it (see subtasks of goal task)
  • We're supporting it with a lot of code
  • It complicates our refactor project

POC: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MobileFrontend/+/506594

Sign off steps

QA steps

Test on beta cluster.

  1. Find articles with reference links on them e.g. [10] on https://en.m.wikipedia.beta.wmflabs.org/wiki/China and click them - make sure the reference displayed is the correct one.
  1. Test the same for a reference inside a section that can be collapsed.
  1. Opt into beta mode and check the references continue to work

Related Objects

Event Timeline

Jdlrobson created this task.May 2 2019, 4:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2019, 4:02 PM
Jdlrobson updated the task description. (Show Details)

To discuss at team offsite.

nray awarded a token.Jul 16 2019, 9:49 PM
ovasileva triaged this task as Normal priority.Jul 17 2019, 4:41 PM

Change 506594 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove the lazy load references beta feature

https://gerrit.wikimedia.org/r/506594

Change 506594 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove the lazy load references beta feature

https://gerrit.wikimedia.org/r/506594

MBinder_WMF reassigned this task from Edtadros to Jdlrobson.Aug 7 2019, 5:21 PM
MBinder_WMF added a subscriber: Edtadros.
Jdlrobson closed this task as Resolved.Aug 7 2019, 8:59 PM
Jdlrobson updated the task description. (Show Details)

Tested this on a few articles. Not seeing any issues with reference feature displaying in stable or in beta.